Sonarr installeren Debian via de command line

In deze handleiding Sonarr installeren Debian. Gaan we het programma Sonarr installeren via de command line. Op een Computer met Debian. Vervolgens gaan we Sonarr configureren om automatisch je favorieten tv series te downloaden uit de nieuwsgroepen.

Sonarr Installeren Debian

We moeten de Mono repository van Xamarin toevoegen. Zodat je zeker weet. Dat je de laatste van de Mono software krijgt.

sudo apt-key adv –keyserver hkp://keyserver.ubuntu.com:80 –recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo “deb http://download.mono-project.com/repo/debian wheezy main” | sudo tee /etc/apt/sources.list.d/mono-xamarin.list

We  moeten https installatie bron mogelijkheid toevoegen.

sudo apt-get install apt-transport-https -y

Nu gaan we de Sonarr repository toevoegen.

sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys FDA5DFFC
echo “deb https://apt.sonarr.tv/ master main” | sudo tee -a /etc/apt/sources.list

We moeten nu een update doen.

sudo apt-get update

Nu gaan we Sonarr downloaden en installeren.

sudo apt-get install nzbdrone -y

Rechten goed zetten. Op de Sonarr map.

sudo chown -R gebruikersnaam:gebruikersnaam /opt/NzbDrone

Sonarr starten om te kijken of het werkt.

mono /opt/NzbDrone/NzbDrone.exe

Je bent nu klaar met de installatie van Sonarr. En je kan Sonaar benaderen via http://ip.adres:8989

Sonarr Autostart Debian

Nu moeten we er nog voor zorgen dat Sonarr start, tijdens het booten van Debian. Dat gaan we op de volgende manier doen.

We gaan nu een opstart script aanmaken.

sudo nano /etc/init.d/nzbdrone

Onderstaande plakken we hier in. Let op! Pas de Gebruikersnaam aan naar je eigen gebruikersnaam.

#! /bin/sh
### BEGIN INIT INFO
# Provides: NzbDrone script
### END INIT INFO

############### Bewerkt mij ##################
# path to app
APP_PATH=/opt/NzbDrone

# user
RUN_AS=Gebruikersnaam

# path to mono bin
DAEMON=/usr/bin/mono

# Path to store PID file
PID_FILE=/var/run/nzbdrone/nzbdrone.pid
PID_PATH=$(dirname $PID_FILE)

# script name
NAME=nzbdrone

# app name
DESC=NzbDrone

# startup args
EXENAME=”NzbDrone.exe”
DAEMON_OPTS=” “$EXENAME

############### Einde bewerk mij ##################

NZBDRONE_PID=`ps auxf | grep NzbDrone.exe | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $NZBDRONE_PID > $PID_FILE

case “$1” in
start)
if [ -z “${NZBDRONE_PID}” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “NzbDrone already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $NZBDRONE_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use basic functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

We sluiten nu dit bestand en slaan het op. Druk op CTRL +X toets en vervolgens Y toets. Om dit te bevestigen.

Nu moeten we het script uitvoerbaar maken.

sudo chmod +x /etc/init.d/nzbdrone

Nu voegen we het aan de opstart toe.

sudo update-rc.d nzbdrone defaults

Als, alles goed is gegaan. Dan moet onderstaande commando nu werken.

sudo service nzbdrone start

Je kan dit voor de zekerheid  testen, door opnieuw te starten.

sudo reboot

Je bent nu klaar met het opstart script.

Share This

Geef een reactie